Technical FAQs

Ask a Question

What is the MBX driver minimum version supported to run on Windows Vista?

MBX driver version 7 is the minimum required to run on Windows Vista.

Was this helpful?
What can we do to improve the information ?